import { z } from 'zod';
export declare const accountSchema: z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    globalFilter: z.ZodObject<{
        tags: z.ZodObject<z.objectUtil.extendShape<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "id" | "name">, {
            group: z.ZodObject<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                color: z.ZodString;
                isExclusive: z.ZodBoolean;
                created_at: z.ZodDate;
                updated_at: z.ZodDate;
            }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const CuentaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    globalFilter: z.ZodObject<{
        tags: z.ZodObject<z.objectUtil.extendShape<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "id" | "name">, {
            group: z.ZodObject<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                color: z.ZodString;
                isExclusive: z.ZodBoolean;
                created_at: z.ZodDate;
                updated_at: z.ZodDate;
            }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class CuentaDto extends CuentaDto_base {
}
export {};
