import z from 'zod';
export declare const getGlobalFilterResponse: z.ZodObject<{
    active: z.ZodBoolean;
    globalFilter: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "id" | "name" | "type">, {
        group: z.ZodObject<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
            id: string;
            color: string;
            isExclusive: boolean;
        }, {
            id: string;
            color: string;
            isExclusive: boolean;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}, {
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}>;
declare const GetGlobalFilterResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    active: z.ZodBoolean;
    globalFilter: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "id" | "name" | "type">, {
        group: z.ZodObject<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
            id: string;
            color: string;
            isExclusive: boolean;
        }, {
            id: string;
            color: string;
            isExclusive: boolean;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}, {
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}>>;
export declare class GetGlobalFilterResponseDto extends GetGlobalFilterResponseDto_base {
}
export {};
