export declare const getMeResponseSchema: import("zod").ZodObject<Omit<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    role: import("zod").ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    globalFilter: import("zod").ZodObject<{
        tags: import("zod").ZodObject<import("zod").objectUtil.extendShape<Pick<{
            id: import("zod").ZodString;
            name: import("zod").ZodString;
            groupId: import("zod").ZodString;
            type: import("zod").ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: import("zod").ZodDate;
            updated_at: import("zod").ZodDate;
        }, "id" | "name">, {
            group: import("zod").ZodObject<Pick<{
                id: import("zod").ZodString;
                name: import("zod").ZodString;
                color: import("zod").ZodString;
                isExclusive: import("zod").ZodBoolean;
                created_at: import("zod").ZodDate;
                updated_at: import("zod").ZodDate;
            }, "id" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", import("zod").ZodTypeAny, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: import("zod").ZodBoolean;
    }, "strip", import("zod").ZodTypeAny, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    isGlobalFilterActive: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "password">, "strip", import("zod").ZodTypeAny, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const GetMeResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<Omit<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    role: import("zod").ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    globalFilter: import("zod").ZodObject<{
        tags: import("zod").ZodObject<import("zod").objectUtil.extendShape<Pick<{
            id: import("zod").ZodString;
            name: import("zod").ZodString;
            groupId: import("zod").ZodString;
            type: import("zod").ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: import("zod").ZodDate;
            updated_at: import("zod").ZodDate;
        }, "id" | "name">, {
            group: import("zod").ZodObject<Pick<{
                id: import("zod").ZodString;
                name: import("zod").ZodString;
                color: import("zod").ZodString;
                isExclusive: import("zod").ZodBoolean;
                created_at: import("zod").ZodDate;
                updated_at: import("zod").ZodDate;
            }, "id" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", import("zod").ZodTypeAny, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: import("zod").ZodBoolean;
    }, "strip", import("zod").ZodTypeAny, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    isGlobalFilterActive: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "password">, "strip", import("zod").ZodTypeAny, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    role: "USER" | "ADMIN";
    created_at: string;
    updated_at: string;
    globalFilter: {
        tags: {
            id: string;
            name: string;
            group: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class GetMeResponseDto extends GetMeResponseDto_base {
}
export {};
