import { z } from 'zod';
export declare const updateGlobalFilterSchema: z.ZodObject<{
    active: z.ZodDefault<z.ZodBoolean>;
    tagsIds: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    active: boolean;
    tagsIds: string[];
}, {
    tagsIds: string[];
    active?: boolean | undefined;
}>;
declare const UpdateGlobalFilterDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    active: z.ZodDefault<z.ZodBoolean>;
    tagsIds: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    active: boolean;
    tagsIds: string[];
}, {
    tagsIds: string[];
    active?: boolean | undefined;
}>>;
export declare class UpdateGlobalFilterDto extends UpdateGlobalFilterDto_base {
}
export declare const updateGlobalFilterResponseSchema: z.ZodObject<{
    id: z.ZodString;
    nombreUsuario: z.ZodString;
    esAdmin: z.ZodBoolean;
    fcmToken: z.ZodNullable<z.ZodString>;
    filtroBaseActivo: z.ZodBoolean;
    filtroBase: z.ZodObject<{
        active: z.ZodBoolean;
        etiquetas: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    }, {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
    filtroBaseActivo: boolean;
    filtroBase: {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    };
}, {
    id: string;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
    filtroBaseActivo: boolean;
    filtroBase: {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    };
}>;
declare const UpdateGlobalFilterResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    nombreUsuario: z.ZodString;
    esAdmin: z.ZodBoolean;
    fcmToken: z.ZodNullable<z.ZodString>;
    filtroBaseActivo: z.ZodBoolean;
    filtroBase: z.ZodObject<{
        active: z.ZodBoolean;
        etiquetas: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    }, {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
    filtroBaseActivo: boolean;
    filtroBase: {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    };
}, {
    id: string;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
    filtroBaseActivo: boolean;
    filtroBase: {
        active: boolean;
        etiquetas: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
        }[];
    };
}>>;
export declare class UpdateGlobalFilterResponseDto extends UpdateGlobalFilterResponseDto_base {
}
export {};
