"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.eventFolderSchema = void 0;
const translate_1 = require("../../i18n/translate");
const zod_1 = __importDefault(require("zod"));
exports.eventFolderSchema = zod_1.default.object({
    id: zod_1.default.string().uuid({
        message: (0, translate_1.translate)('model.eventFolder.id.uuid'),
    }),
    name: zod_1.default.string().min(1),
    color: zod_1.default
        .string()
        .length(7)
        .startsWith('#', {
        message: (0, translate_1.translate)('model.eventFolder.color.invalid'),
    })
        .toLowerCase(),
});
//# sourceMappingURL=event-folder.dto.js.map