import z from 'zod';
export declare const findAllGroupedTagResponseSchema: z.ZodObject<{
    groups: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        isExclusive: z.ZodBoolean;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "id" | "name" | "color" | "isExclusive">, {
        tags: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, {
            _count: z.ZodObject<{
                profiles: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                profiles: number;
            }, {
                profiles: number;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }>, "many">;
        _count: z.ZodObject<{
            tags: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            tags: number;
        }, {
            tags: number;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }, {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    groups: {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }[];
}, {
    groups: {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }[];
}>;
declare const FindAllGroupedTagResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    groups: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        isExclusive: z.ZodBoolean;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "id" | "name" | "color" | "isExclusive">, {
        tags: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PROFILE: "PROFILE";
                EVENT: "EVENT";
                PARTICIPANT: "PARTICIPANT";
                NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
            }>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, {
            _count: z.ZodObject<{
                profiles: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                profiles: number;
            }, {
                profiles: number;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }, {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }>, "many">;
        _count: z.ZodObject<{
            tags: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            tags: number;
        }, {
            tags: number;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }, {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    groups: {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }[];
}, {
    groups: {
        id: string;
        name: string;
        color: string;
        isExclusive: boolean;
        tags: {
            id: string;
            name: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: Date;
            updated_at: Date;
            groupId: string;
            _count: {
                profiles: number;
            };
        }[];
        _count: {
            tags: number;
        };
    }[];
}>>;
export declare class FindAllGroupedTagResponseDto extends FindAllGroupedTagResponseDto_base {
}
export {};
