import z from 'zod';
export declare const findAllTagResponseSchema: z.ZodObject<{
    tags: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, {
        group: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        }, {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }[];
}, {
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }[];
}>;
declare const FindAllTagResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    tags: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, {
        group: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        }, {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }[];
}, {
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: Date;
            updated_at: Date;
        };
    }[];
}>>;
export declare class FindAllTagResponseDto extends FindAllTagResponseDto_base {
}
export {};
